GETPID(2V)

NAME
getpid, getppid - get process identification

SYNOPSIS
int getpid()

int getppid()

SYSTEM V SYNOPSIS
#include <sys/types.h>

pid_t getpid()

pid_t getppid()

DESCRIPTION
getpid() returns the process ID of the current process. Most often it is used to generate uniquely-named temporary files.

getppid() returns the process ID of the parent of the current process.

SEE ALSO
gethostid(2)